//go:generate go mod vendor
//go:generate protoc --go_out=plugins=grpc,paths=source_relative:. --proto_path=. --proto_path=vendor/gitlab.mashplace.com/mashplace/backend mashroom_notes.proto
//go:generate rm -r vendor
//go:generate mockgen -package=mocknotes -destination=mock/client.go . NotesServiceClient
//go:generate go fmt ./...
//go:generate go fix ./...
//go:generate goimports -w ./
//go:generate go mod tidy

// Package notes provides notes service api
package notes // import "gitlab.mashplace.com/mashplace/backend/notes/api"

import (
	// required proto
	_ "gitlab.mashplace.com/mashplace/backend/common/api/generic/query"
)
